import DashboardReportsComponent from "@/components/dashboard/old-reports";
import {parse} from "next-useragent";

export default function Reports() {
    return (
        <DashboardReportsComponent/>
    );
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.reports",
            isBot,
            layout: {name: 'DashboardLayout', props: {permissions: ["view_reports_navgan"]}}
        },
    };
}
